%define module_name Perl-Lint
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B/Keywords.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Compiler/Lexer.pm) perl(Email/Address.pm) perl(File/Temp.pm) perl(List/Flatten.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Module/Load.pm) perl(Module/Pluggable.pm) perl(Path/Tiny.pm) perl(Perl/Critic.pm) perl(Pod/Usage.pm) perl(Regexp/Lexer.pm) perl(String/CamelCase.pm) perl(Test/Base/Less.pm) perl(Test/Builder/Module.pm) perl(Test/Builder/Tester.pm) perl(Test/Deep/NoTest.pm) perl(Test/More.pm) perl(autodie.pm) perl(feature.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.25
Release: alt1
Summary: Yet Another Perl Source Code Linter
Group: Development/Perl
License: perl
URL: https://github.com/moznion/Perl-Lint

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOZNION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl::Lint is the yet another source code linter for perl.


%prep
%setup -q -n %{module_name}-%{version}
[ %version = 0.25 ] && rm t/Policy/Variables/require_localized_punctuation_vars.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/T*
%perl_vendor_privlib/P*

%changelog
* Sun Mar 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- updated by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- regenerated from template by package builder

* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

